#!/bin/sh
#This script is licensed under GPL, see http://www.gnu.org
#
#based on Peppe Bergqvist bindf4 script
#
#Peppe Bergqvist <peppe@peppesbodega.nu>
#Visit http://peppesbodega.nu/node/Yakuake-F4 for updates etc.
#


if `! dcop yakuake >/dev/null 2>/dev/null`; then
	yakuakeStarted=true
	yakuake
fi

if [ "`dcop yakuake yakuake-mainwindow#1 hidden`" = "true" ]; then
 	dcop yakuake DCOPInterface slotToggleState
fi

if [ ! $yakuakeStarted ]; then
	dcop yakuake DCOPInterface slotAddSession
fi

#Check that we are dealing with local urls
begins_with_slash=$( echo $1 | grep "^/" - )
if [ "x"$begins_with_slash == "x" ]; then
        exit 0
fi

tab=`dcop yakuake DCOPInterface selectedSession`

if [ '$1' ]; then
	`dcop yakuake DCOPInterface slotRunCommandInSession $tab "cd '$1'"`
fi

# 	`dcop yakuake DCOPInterface slotRenameSession $tab $1`
